<template>
  <div>
    <a
      v-for="(app, index) in apps"
      :key="index"
      :href="app.url"
      :title="app.title"
      class="app"
    >
      <img
        :src="require(`~/assets/images/${app.asset}`)"
        :alt="app.title"
        width="127"
        height="40"
      />
    </a>
  </div>
</template>

<script>
export default {
  name: 'AppstoresLinks',
  computed: {
    apps() {
      const links = [
        {
          title: this.$t('appstores_links.app_store'),
          fr: {
            url:
              'https://itunes.apple.com/fr/app/izneo-bd-comics-manga/id377397393',
            asset: 'app-store.svg'
          },
          en: {
            url: 'https://apps.apple.com/app/izneo-bd-comics-manga/id377397393',
            asset: 'app-store-en.svg'
          },
          de: {
            url:
              'https://apps.apple.com/de/app/izneo-bd-comics-manga/id377397393',
            asset: 'app-store-de.svg'
          },
          nl: {
            url:
              'https://apps.apple.com/nl/app/izneo-bd-comics-manga/id377397393',
            asset: 'app-store-nl.svg'
          }
        },
        {
          title: this.$t('appstores_links.google_play'),
          fr: {
            url:
              'https://play.google.com/store/apps/details?id=fr.airweb.izneo',
            asset: 'google-play-fr.svg'
          },
          en: {
            url:
              'https://play.google.com/store/apps/details?id=fr.airweb.izneo',
            asset: 'google-play-en.svg'
          },
          de: {
            url:
              'https://play.google.com/store/apps/details?id=fr.airweb.izneo',
            asset: 'google-play-de.svg'
          },
          nl: {
            url:
              'https://play.google.com/store/apps/details?id=fr.airweb.izneo&hl=nl',
            asset: 'google-play-nl.svg'
          }
        },
        {
          title: this.$t('appstores_links.nintendo_eshop'),
          fr: {
            url:
              'https://www.nintendo.fr/Jeux/Jeux-a-telecharger-sur-Nintendo-Switch/izneo-1523006.html',
            asset: 'nintendo-e-shop.svg'
          },
          en: {
            url: 'https://www.nintendo.com/games/detail/izneo-switch/',
            asset: 'nintendo-e-shop-en.svg'
          },
          de: {
            url:
              'https://www.nintendo.de/Spiele/Nintendo-Switch-Download-Software/izneo-1523006.html',
            asset: 'nintendo-e-shop-de.svg'
          }
        }
      ]

      return links
        .filter((app) => this.$i18n.locale in app)
        .map((app) => ({
          title: app.title,
          url: app[this.$i18n.locale].url,
          asset: app[this.$i18n.locale].asset
        }))
    }
  }
}
</script>

<style lang="scss" scoped>
.app {
  margin-right: 5px;
}
</style>
